TS_OPEN_RESTRICTED(3)

NAME
ts_open_restricted - use a custom function for opening the touchscreen's input device file

SYNOPSIS
#include <tslib.h>

int (*ts_open_restricted)(const char *path, int flags, void *user_data);

DESCRIPTION
ts_open_restricted() is useful if libts should not be run as root. If such a function is implemented by the user and assigned to the ts_open_restricted pointer, it will be called by ts_open() instead of the open() system call directly.

It should open the input device at path with flags while user_data is currently unused.

RETURN VALUE
the touchscreen input device' file descriptor

SEE ALSO
ts_close_restricted(3), ts_open(3), ts_setup(3), ts_close(3), ts.conf(5)